petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESSetForceIteration

force SNESSolve() to take at least one iteration regardless of the initial residual norm

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetForceIteration(SNES snes,PetscBool force)

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context
| force | - PETSC_TRUE require at least one iteration

### Options Database Keys

-snes_force_iteration <force> -Sets forcing an iteration

### Notes

This is used sometimes with TS to prevent TS from detecting a false steady state solution

### See Also

SNESSetTrustRegionTolerance(), SNESSetDivergenceTolerance()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages